CPU Usage Graph
Description
You can use this API to get data on CPU used by the grid during 24 hours. The required grid will be referred to using its Grid ID.
Request Details
Request URL
{api-domain}/browser360/v1/project/{project_id}/browser-grid/{grid_id}/graph-data?datetime_filter=24+Hours&data_to_fetch=cpu_graph_data
Scope
ZohoCatalyst.grid.read
Request Headers for API Using OAuth
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
CATALYST-ORG: Provide the value of your Org ID.
Request Headers for API Using API Key
Authorization
api-key: The unique key generated by Catalyst. It can be retrieved from the console.
Response Details
You will receive a response containing the CPU usage of a browser grid during 24 hours. The required grid is referred to using its Grid ID.
curl -X GET ‘https://consoleqa2.catalyst.localzoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/graph-data?datetime_filter=24+Hours&data_to_fetch=cpu_graph_data'
-H ‘CATALYST-ORG: 111737956’
-H ‘Authorization: Zoho-oauthtoken 1000*********************************************780’
curl -X GET ‘https://consoleqa2.catalyst.localzoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/graph-data?datetime_filter=24+Hours&data_to_fetch=cpu_graph_data'
-H ‘CATALYST-ORG: 111737956’
-H ‘api-key: 96********************************************************************7049’
{
“status”: “success”,
“data”: [
[“Sep 23 2025, 11:00 AM”, 0.0],
[“Sep 23 2025, 01:00 PM”, 0.0],
[“Sep 23 2025, 03:00 PM”, 0.0],
[“Sep 23 2025, 05:00 PM”, 0.8621659781801722],
[“Sep 23 2025, 07:00 PM”, 0.0],
[“Sep 23 2025, 09:00 PM”, 0.0],
[“Sep 23 2025, 11:00 PM”, 0.0],
[“Sep 24 2025, 01:00 AM”, 0.0],
[“Sep 24 2025, 03:00 AM”, 0.0],
[“Sep 24 2025, 05:00 AM”, 0.0],
[“Sep 24 2025, 07:00 AM”, 0.0],
[“Sep 24 2025, 09:00 AM”, 0.0],
[“Sep 24 2025, 11:00 AM”, 0.0],
[“Sep 24 2025, 01:00 PM”, 0.0]
]
}
Yes
No
Send your feedback to us